RedCrawler API
Wiki V1

Wiki Allow Editor V1

Add or remove a user as an approved wiki editor for a specific page. Requires mod permissions.

POST /api/v1/knowledge/allow-editor

Add or remove a user as an approved wiki editor for a specific page. Requires mod permissions.

Body parameters

NameTypeRequiredDescription
subredditstringYesSubreddit name (e.g. python).
usernamestringYesReddit username. Accepts: username, u/username, or profile URL.
pagestringYesWiki page name (e.g. index).
actstringNoAction: add or del (remove). Default: add.
proxystringNoProxy. Optional if stored in Token Vault.
bearerstringNoBearer token. Optional if stored in Token Vault.

Authentication

HeaderValue
X-RapidAPI-KeyYour RapidAPI key
X-RapidAPI-Hostred-crawler1.p.rapidapi.com

Example request

cURL

curl -X POST "https://red-crawler1.p.rapidapi.com/api/v1/knowledge/allow-editor" \
  -H "X-RapidAPI-Key: YOUR_RAPIDAPI_KEY" \
  -H "X-RapidAPI-Host: red-crawler1.p.rapidapi.com" \
  -H "Content-Type: application/json" \
  --data '{"subreddit": "python", "username": "Motor_Tip8865", "page": "index", "act": "add", "proxy": "<proxy>", "bearer": "<bearer>"}'

JavaScript

const res = await fetch("https://red-crawler1.p.rapidapi.com/api/v1/knowledge/allow-editor", {
  method: "POST",
  headers: {
      "X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
    "X-RapidAPI-Host": "red-crawler1.p.rapidapi.com"
    },
    body: JSON.stringify({
  "subreddit": "python",
  "username": "Motor_Tip8865",
  "page": "index",
  "act": "add",
  "proxy": "<proxy>",
  "bearer": "<bearer>"
})
});
const data = await res.json();
console.log(data);

Python

import requests

url = "https://red-crawler1.p.rapidapi.com/api/v1/knowledge/allow-editor"
headers = {
    "X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
    "X-RapidAPI-Host": "red-crawler1.p.rapidapi.com",
    "Content-Type": "application/json"
}
payload = {
  "subreddit": "python",
  "username": "Motor_Tip8865",
  "page": "index",
  "act": "add",
  "proxy": "<proxy>",
  "bearer": "<bearer>"
}
resp = requests.post(url, headers=headers, json=payload)
print(resp.json())

Example response

HTTP 200 — captured from a live call to the gateway.

{
  "success": true,
  "data": {},
  "error": null,
  "timestamp": "2026-04-29T18:27:13.398597+00:00"
}

On this page